#!/usr/bin/python3

import RPi.GPIO as GPIO
import time

GPIO.setmode(GPIO.BCM)
GPIO.setup(18, GPIO.OUT)
GPIO.output(18, GPIO.LOW)
GPIO.setup(24, GPIO.IN, pull_up_down=GPIO.PUD_UP)
GPIO.setup(25, GPIO.IN, pull_up_down=GPIO.PUD_UP)

def backdoor(channel):
    GPIO.output(18, GPIO.HIGH)
    print('Back door')
    time.sleep(0.1)
    GPIO.output(18, GPIO.LOW)

def frontdoor(channel):
    GPIO.output(18, GPIO.HIGH)
    print('Front door')
    time.sleep(0.1)
    GPIO.output(18, GPIO.LOW)

GPIO.add_event_detect(24, GPIO.FALLING, callback=backdoor, bouncetime=100)
GPIO.add_event_detect(25, GPIO.FALLING, callback=frontdoor, bouncetime=100)

try:
    while True:
        pass
except KeyboardInterrupt:
    GPIO.cleanup()
print('End of program')
